Show / Hide Table of Contents

# Class PublishDiagnosticsNotification

##### Inheritance

System.Object
PublishDiagnosticsNotification

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class PublishDiagnosticsNotification

### Fields

| Improve this Doc View Source

#### Type

##### Declaration

    public static readonly EventType<PublishDiagnosticsNotification> Type

##### Field Value

Type | Description
--- | ---
EventType<PublishDiagnosticsNotification> |

### Properties

| Improve this Doc View Source

#### Diagnostics

Gets or sets the array of diagnostic information items.

##### Declaration

    public Diagnostic[] Diagnostics { get; set; }

##### Property Value

Type | Description
--- | ---
Diagnostic[] |

| Improve this Doc View Source

#### Uri

Gets or sets the URI for which diagnostic information is reported.

##### Declaration

    public string Uri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |